CVC4::parser::Parser::ExprStream Class Reference

An expression stream interface for a parser. More...

`#include <parser.h>`

Inheritance diagram for CVC4::parser::Parser::ExprStream:
[legend]
Collaboration diagram for CVC4::parser::Parser::ExprStream:
[legend]

## Public Member Functions

| ExprStream (Parser *parser)
| ~ExprStream ()
| Virtual destructor; this implementation does nothing.
Expr | nextExpr ()
| Get the next expression in the stream (advancing the stream pointer as a side effect.)

## Detailed Description

An expression stream interface for a parser.

This stream simply pulls expressions from the given Parser object.

Here, the ExprStream base class allows a Parser (from the parser library) and core components of CVC4 (in the core library) to communicate without polluting the public interface or having them reach into private (undocumented) interfaces.

Definition at line 614 of file parser.h.

## Constructor & Destructor Documentation

## ExprStream()

CVC4::parser::Parser::ExprStream::ExprStream | ( | Parser * | parser | ) |

inline

Definition at line 617 of file parser.h.

## ~ExprStream()

CVC4::parser::Parser::ExprStream::~ExprStream | ( |  | ) |

inlinevirtual

Virtual destructor; this implementation does nothing.

Reimplemented from CVC4::ExprStream.

Definition at line 618 of file parser.h.

## Member Function Documentation

## nextExpr()

Expr CVC4::parser::Parser::ExprStream::nextExpr | ( |  | ) |

inlinevirtual

Get the next expression in the stream (advancing the stream pointer as a side effect.)

Implements CVC4::ExprStream.

Definition at line 619 of file parser.h.

References CVC4::parser::Parser::nextExpression().

The documentation for this class was generated from the following file:

- src/parser/parser.h